import { describe, expect, test } from '@jest/globals';
import 'dotenv/config';
import { AlpacaExchange } from '../src/alpaca/exchange';

describe('Alpaca Tests', () => {
  test('portfolio fetch', () => {
    expect(process.env.ALPACA_API_KEY).toBeDefined();
    expect(process.env.ALPACA_SECRET_KEY).toBeDefined();
    const exchange = new AlpacaExchange(process.env.ALPACA_API_KEY!, process.env.ALPACA_SECRET_KEY!, true);
    expect(exchange.portfolioProvider.fetchPortfolio()).resolves.toBeDefined();
  });

  test('quote fetch', () => {
    expect(process.env.ALPACA_API_KEY).toBeDefined();
    expect(process.env.ALPACA_SECRET_KEY).toBeDefined();
    const exchange = new AlpacaExchange(process.env.ALPACA_API_KEY!, process.env.ALPACA_SECRET_KEY!, true);
    expect(exchange.quoteProvider.fetchQuote("AAPL")).resolves.toBeDefined();
  });
});
